@REM ----------------------------------------------------------------------------
@REM  Copyright 2001-2006 The Apache Software Foundation.
@REM
@REM  Licensed under the Apache License, Version 2.0 (the "License");
@REM  you may not use this file except in compliance with the License.
@REM  You may obtain a copy of the License at
@REM
@REM       http://www.apache.org/licenses/LICENSE-2.0
@REM
@REM  Unless required by applicable law or agreed to in writing, software
@REM  distributed under the License is distributed on an "AS IS" BASIS,
@REM  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
@REM  See the License for the specific language governing permissions and
@REM  limitations under the License.
@REM ----------------------------------------------------------------------------
@REM
@REM   Copyright (c) 2001-2006 The Apache Software Foundation.  All rights
@REM   reserved.

@echo off

set ERROR_CODE=0

:init
@REM Decide how to startup depending on the version of windows

@REM -- Win98ME
if NOT "%OS%"=="Windows_NT" goto Win9xArg

@REM set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" @setlocal

@REM -- 4NT shell
if "%eval[2+2]" == "4" goto 4NTArgs

@REM -- Regular WinNT shell
set CMD_LINE_ARGS=%*
goto WinNTGetScriptDir

@REM The 4NT Shell from jp software
:4NTArgs
set CMD_LINE_ARGS=%$
goto WinNTGetScriptDir

:Win9xArg
@REM Slurp the command line arguments.  This loop allows for an unlimited number
@REM of arguments (up to the command line limit, anyway).
set CMD_LINE_ARGS=
:Win9xApp
if %1a==a goto Win9xGetScriptDir
set CMD_LINE_ARGS=%CMD_LINE_ARGS% %1
shift
goto Win9xApp

:Win9xGetScriptDir
set SAVEDIR=%CD%
%0\
cd %0\..\.. 
set BASEDIR=%CD%
cd %SAVEDIR%
set SAVE_DIR=
goto repoSetup

:WinNTGetScriptDir
set BASEDIR=%~dp0\..

:repoSetup
set REPO=


if "%JAVACMD%"=="" set JAVACMD=java

if "%REPO%"=="" set REPO=%BASEDIR%\lib

set CLASSPATH="%BASEDIR%"\conf;"%REPO%"\pds4-validate-1.4.4.jar;"%REPO%"\commons-collections-3.2.2.jar;"%REPO%"\jackson-core-2.9.8.jar;"%REPO%"\jackson-databind-2.9.8.jar;"%REPO%"\jackson-annotations-2.9.0.jar;"%REPO%"\validate-1.22.2.jar;"%REPO%"\Saxon-HE-9.9.1-7.jar;"%REPO%"\commons-configuration-1.7.jar;"%REPO%"\commons-lang-2.6.jar;"%REPO%"\gson-2.8.5.jar;"%REPO%"\jsoup-1.7.2.jar;"%REPO%"\java-xmlbuilder-1.2.jar;"%REPO%"\base64-2.3.8.jar;"%REPO%"\commons-chain-1.2.jar;"%REPO%"\guava-23.0.jar;"%REPO%"\jsr305-1.3.9.jar;"%REPO%"\error_prone_annotations-2.0.18.jar;"%REPO%"\j2objc-annotations-1.1.jar;"%REPO%"\animal-sniffer-annotations-1.14.jar;"%REPO%"\xercesImpl-2.12.0.jar;"%REPO%"\xml-apis-1.4.01.jar;"%REPO%"\xml-resolver-1.2.jar;"%REPO%"\log4j-1.2.17.jar;"%REPO%"\solr-solrj-7.7.2.jar;"%REPO%"\commons-math3-3.6.1.jar;"%REPO%"\httpclient-4.5.6.jar;"%REPO%"\httpcore-4.4.10.jar;"%REPO%"\httpmime-4.5.6.jar;"%REPO%"\zookeeper-3.4.14.jar;"%REPO%"\stax2-api-3.1.4.jar;"%REPO%"\woodstox-core-asl-4.4.1.jar;"%REPO%"\noggit-0.8.jar;"%REPO%"\jcl-over-slf4j-1.7.24.jar;"%REPO%"\pds4-jparser-1.5.0.jar;"%REPO%"\opencsv-2.3.jar;"%REPO%"\nom-tam-fits-1.13.1.jar;"%REPO%"\xalan-2.7.1.jar;"%REPO%"\serializer-2.7.1.jar;"%REPO%"\oro-2.0.8.jar;"%REPO%"\jai-core-1.1.3.jar;"%REPO%"\jai-codec-1.1.3.jar;"%REPO%"\antlr-2.7.7.jar;"%REPO%"\antlr-runtime-3.2.jar;"%REPO%"\antlr-3.2.jar;"%REPO%"\stringtemplate-3.2.jar;"%REPO%"\commons-csv-1.0.jar;"%REPO%"\jaxb-impl-2.2.4.jar;"%REPO%"\jaxb-api-2.2.3.jar;"%REPO%"\stax-api-1.0-2.jar;"%REPO%"\activation-1.1.jar;"%REPO%"\pds3-product-tools-4.0.1.jar;"%REPO%"\java-diff-1.1.jar;"%REPO%"\commons-digester-1.8.jar;"%REPO%"\commons-beanutils-1.7.0.jar;"%REPO%"\commons-logging-1.1.jar;"%REPO%"\logkit-1.0.1.jar;"%REPO%"\avalon-framework-4.1.3.jar;"%REPO%"\servlet-api-2.3.jar;"%REPO%"\pds4-reader-0.7.2.jar;"%REPO%"\commons-cli-1.4.jar;"%REPO%"\commons-codec-1.12.jar;"%REPO%"\commons-compress-1.18.jar;"%REPO%"\commons-io-2.6.jar;"%REPO%"\commons-lang3-3.8.1.jar;"%REPO%"\velocity-engine-core-2.1.jar;"%REPO%"\groovy-3.0.4.jar;"%REPO%"\slf4j-api-1.7.26.jar;"%REPO%"\log4j-slf4j-impl-2.11.2.jar;"%REPO%"\log4j-api-2.11.2.jar;"%REPO%"\log4j-core-2.11.2.jar;"%REPO%"\aspectjweaver-1.9.2.jar;"%REPO%"\spring-aspects-5.1.6.RELEASE.jar;"%REPO%"\spring-beans-5.1.6.RELEASE.jar;"%REPO%"\spring-core-5.1.6.RELEASE.jar;"%REPO%"\spring-jcl-5.1.6.RELEASE.jar;"%REPO%"\spring-context-5.1.6.RELEASE.jar;"%REPO%"\spring-aop-5.1.6.RELEASE.jar;"%REPO%"\spring-expression-5.1.6.RELEASE.jar;"%REPO%"\pds4-packager-1.4.4.jar

set ENDORSED_DIR=etc
if NOT "%ENDORSED_DIR%" == "" set CLASSPATH="%BASEDIR%"\%ENDORSED_DIR%\*;%CLASSPATH%

if NOT "%CLASSPATH_PREFIX%" == "" set CLASSPATH=%CLASSPATH_PREFIX%;%CLASSPATH%

@REM Reaching here means variables are defined and arguments have been captured
:endInit

%JAVACMD% %JAVA_OPTS% -XX:+UseG1GC -Duser.timezone=GMT -Djava.util.logging.config.file=jaxb-logging.properties -Dcom.sun.xml.bind.v2.bytecode.ClassTailor.noOptimize=true -classpath %CLASSPATH% -Dapp.name="pds4-packager-validate" -Dapp.repo="%REPO%" -Dapp.home="%BASEDIR%" -Dbasedir="%BASEDIR%" esa.bscs.pds4.validate.cli.ValidationCli %CMD_LINE_ARGS%
if %ERRORLEVEL% NEQ 0 goto error
goto end

:error
if "%OS%"=="Windows_NT" @endlocal
set ERROR_CODE=%ERRORLEVEL%

:end
@REM set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" goto endNT

@REM For old DOS remove the set variables from ENV - we assume they were not set
@REM before we started - at least we don't leave any baggage around
set CMD_LINE_ARGS=
goto postExec

:endNT
@REM If error code is set to 1 then the endlocal was done already in :error.
if %ERROR_CODE% EQU 0 @endlocal


:postExec

if "%FORCE_EXIT_ON_ERROR%" == "on" (
  if %ERROR_CODE% NEQ 0 exit %ERROR_CODE%
)

exit /B %ERROR_CODE%
